# gwill

[![Apache License 2](https://img.shields.io/badge/license-ASF2-blue.svg)](https://www.apache.org/licenses/LICENSE-2.0.txt)
[![Build Status](https://travis-ci.org/rockyCheung/godwill.svg?branch=master)](https://travis-ci.org/rockyCheung/godwill)
[![COVERALLS](https://coveralls.io/repos/github/rockyCheung/godwill/badge.svg?branch=master)](https://coveralls.io/github/rockyCheung/godwill)
[![PyPI](https://pypi.org/static/images/logo-small.6eef541e.svg)](https://pypi.org/project/godwill/)

## gwill是什么

gwill是一个占卜工具，名字的意思是"神的旨意"，工具运用了周易64卦占卜术，即科学又简便，即使没有任何周易相关的知识储备，只要简单安装gwill，在自己的电脑上即可简单的占卜运势。

## 周易
易经是我国古代哲学、自然科学与社会科学相结合的一部巨著，历来被尊称中国文化的百科全书，千百年来，易经对我国的哲学、史学、文学、宗教、自然科学及社会科学都有着巨大的影响。

* 严格说来《易经》和《易传》构成了《周易》；而《周易》、《连山》、《归藏》又构成了《三易》。《连山》是夏代的易学，《归藏》是殷代的易学，《周易》是周代的易学。可惜，《连山》、《归藏》已失传。
* 《易经》又称本经，简称《易》，成书于西周初至晚周，距今约三千年前。《易经》由卦辞及爻辞组成。共有六十四卦，每卦有六爻，共三百八十四爻。而《易传》有十翼即：彖上、彖下、象上、象下、文言、系辞上、系辞下、说卦、序卦、杂卦十篇。《易传》成书于春秋至战国中期，是对易经的注释和发挥。
* 史学界认为《周易》为伏羲、文王、周公、孔子四圣合著，即伏羲画八卦，文王作卦辞，周公著爻辞，孔子撰《易传》。
* 易经的核心就是著名的“三易说”，即：简易、变易、不易。
> 简易：是指世界上的事物再复杂再深奥，一旦人类的智慧达到，就可以把它们转换成人们容易理解和处理的问题。
> 变易：是指世界上的万事万物每时每刻都在变化发展着，没有一样东西是不变的，如果离开这种变化，宇宙万物就难以形成。
> 不易：是指在宇宙间万物皆变的前提下，还有唯一不变的东西存在，就是能变出万象之物的东西不变；即是说万物皆变的规律是永远不变的。

* 易经的表达方式是八卦，而八卦又延伸为六十四卦。

> 八卦是由：乾、兑、离、震、巽、坎、艮、坤八个单卦组成。知道了八卦就可以推出六十四卦。
　　乾：天
　　坤：地
　　兑：水
　　离：太阳
　　震：雷
　　坎：月亮
　　艮：山
　　巽：风
> 在《易经》经文中，用"-"表示阳爻，用"--"表示阴爻。阴阳爻就组成了卦。
> 具体说，每一个卦有六个爻，或者是由三个阳爻或三个阴爻组成；或者是由一个阴爻与两个阳爻；或是由一个阳爻与两个阴爻组成。八卦就是八个单卦。再由八个单卦互相重合，组成六十四卦。韩国国旗的太极和八卦思想来自中国的《周易》。以太极为中心，四角的卦分别象征阴阳互相调和，乾卦代表天空，坤卦代表大地，坎卦是月亮和水，离卦为太阳和火，各个卦还象征着正义、富饶、生命力和智慧。
> "易有太极，是生两仪，两仪生四象，四象生八卦"。阴阳的变化由太极开始，由太极产生出两仪即阴阳。即有阴阳，使相互感应，阳育阴，阴含阳，于是阴中有阳，阳中有阴，所以阴阳二气，又分为四，名曰四象。四象现在一般是指少阳、老阳、少阴、老阴。
先天八卦又称伏羲八卦是按其数字排列运行为乾一、兑二、离三、震四、巽五、坎六、艮七、坤八，这就是先天八卦数。
* 后天八卦传说为周文王所制，又称文王八卦。其排列次序为坎一、坤二、震三、巽四、中五、乾六、兑七、艮八、离九。
> 世界上的万事万物没有形成以前的状况，叫先天，有了万事万物，就是后天了。换句话说，人在娘胎里是先天，离开娘胎是后天，先天后天是划分阶段范围的一种界说。
> 根据先天八卦的次序，我们可以知道人在母腹中，首先开始生头，因为乾为一，次生肺，因为兑为二，次生心，因为离为三，次生肝胆，因为震为四、巽为五，次生肾，　因为坎为六，次生肠胃，因为艮为七，次生肌肉，因为坤为八。
> 先天八卦说的是宇宙形成时的状况，后天八卦说的是宇宙以内的变化和运用的法则。

## gwill的安装

工具基于Python3.7版本开发，建议在安装前安装3.7版本。

### 源代码安装
* 拉取源代码
```
$ git clone https://github.com/rockyCheung/godwill

```
* 安装
```
$ cd godwill
$ python setup.py install
```

### pip安装
```
$ pip install gwill
```

## 工具使用
安装完成后即可使用gwill指令进行简单占卜～
### 指令格式
```
$ gwill <1 2 3 4 5 6>
```
gwill后边的参数仅支持整数，一次可输入至多6个整数，不输或少输则工具会随机选取数字进行占卜～

